$(document).ready(function (e) {
    /*----------------------------------------*/
    //check or uncheck all
    // Listen for click on toggle checkbox
    $('#checkAll').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.choosenItem').each(function () {

                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".choosenItem").each(function () {
                this.checked = false;
            });
        }
        $('#checked12').change();
        $('#checked2').change();
    });

    //product
    $('#checked1').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.productItem').each(function () {
                this.checked = true;
                this.disabled = true;
                //$("#checked2").attr("disabled","disabled");
            });
        } else {
            // Iterate each checkbox
            $(".productItem").each(function () {
                this.checked = false;
                this.disabled = false;
            });
        }
        $('#checked2').change();
    });
    $('#checked2').live('change', function () {
        if ($('#checked2').is(':checked')) {
            $('#catOptionForCheckSpan').show();
        } else {
            $('#catOptionForCheckSpan').hide();
        }
        $('#catOptionForCheck0').attr('checked', 'checked');
        $('#catOptionForCheck1').removeAttr('checked');
        $('#catOptionForCheck1').change();
    })

    $('#catOptionForCheck1, #catOptionForCheck0').live('change', function () {
        if ($('#catOptionForCheck1').is(':checked')) {
            $('#caiIdsToBeTransfered').show();
        } else {
            $('#caiIdsToBeTransfered').hide();
        }
    })
    //product
    $('#costcenter').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.costcenterItem').each(function () {
                this.checked = true;
                this.disabled = true;
                //$("#checked2").attr("disabled","disabled");
            });
        } else {
            // Iterate each checkbox
            $(".costcenterItem").each(function () {
                this.checked = false;
                this.disabled = false;
            });
        }
    });

    //asset
    $('#checked6').click(function (event) {
        if (this.checked) {
            //alert(1);
            // Iterate each checkbox
            $('.assetItem').each(function () {

                this.checked = true;
            });
        } else {
            //alert(2);
            // Iterate each checkbox
            $(".assetItem").each(function () {
                this.checked = false;
            });
        }
    });



    //check
    $('#checked9').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.checkItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".checkItem").each(function () {
                this.checked = false;
            });
        }
        $('#checked12').change();
    });
    $('#checked12').live('change', function () {
        if ($('#checked12').is(':checked')) {
            $('#archiveOptionForCheckSpan').show();
        } else {
            $('#archiveOptionForCheckSpan').hide();
        }
        $('#archiveOptionForCheck0').attr('checked', 'checked');
        $('#archiveOptionForCheck1').removeAttr('checked');

    })



    //شركات الشحن
    $('#checked14').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.shippingItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".shippingItem").each(function () {
                this.checked = false;
            });
        }
    });

    //كمبيالة
    $('#checked18').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.kempialaItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".kempialaItem").each(function () {
                this.checked = false;
            });
        }
    });

    //expense
    $('#checked23').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.expenseItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".expenseItem").each(function () {
                this.checked = false;
            });
        }
    });

    //تقرير العملاء
    $('#checked27').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.clientReportItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".clientReportItem").each(function () {
                this.checked = false;
            });
        }
    });

    //تقرير الموردين
    $('#checked30').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.suppReportItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".suppReportItem").each(function () {
                this.checked = false;
            });
        }
    });




    //تقرير الموظفين
    $('#checked34').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.employeeItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".employeeItem").each(function () {
                this.checked = false;
            });
        }
    });

    //تقرير الموظفين
    $('#productionexecution').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.productionItem').each(function () {
                this.checked = true;
            });
        } else {
            // Iterate each checkbox
            $(".productionItem").each(function () {
                this.checked = false;
            });
        }
    });



});

function showLoader()
{
    $("#loader").css("visibility", "visible");
    if ($("#dbName").val() == null || $("#dbName").val() == '')
    {
        return false;
    }
    return true;
}
